## ros-foxy-velodyne-pointcloud 2.1.1

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.5)
project(velodyne_pointcloud)

# Default to C++14
if(NOT CMAKE_CXX_STANDARD)
  set(CMAKE_CXX_STANDARD 14)
endif()

if(CMAKE_COMPILER_IS_GNUCXX OR CMAKE_CXX_COMPILER_ID MATCHES "Clang")
  add_compile_options(-Wall -Wextra -Wpedantic)
endif()

find_package(ament_cmake REQUIRED)
find_package(angles REQUIRED)
find_package(diagnostic_updater REQUIRED)
find_package(Eigen3 REQUIRED)
find_package(geometry_msgs REQUIRED)
find_package(message_filters REQUIRED)
find_package(PCL REQUIRED COMPONENTS common)
find_package(rclcpp REQUIRED)
find_package(rclcpp_components REQUIRED)
find_package(sensor_msgs REQUIRED)
find_package(tf2 REQUIRED)
find_package(tf2_ros REQUIRED)
find_package(velodyne_msgs REQUIRED)

# Resolve system dependency on yaml-cpp, which apparently does not
# provide a CMake find_package() module.
find_package(PkgConfig REQUIRED)
pkg_check_modules(YAML_CPP REQUIRED yaml-cpp)
find_path(YAML_CPP_INCLUDE_DIR
  NAMES yaml_cpp.h
  PATHS ${YAML_CPP_INCLUDE_DIRS})
find_library(YAML_CPP_LIBRARY
  NAMES YAML_CPP
  PATHS ${YAML_CPP_LIBRARY_DIRS})

link_directories(${YAML_CPP_LIBRARY_DIRS})

if(NOT ${YAML_CPP_VERSION} VERSION_LESS "0.5")
  add_definitions(-DHAVE_NEW_YAMLCPP)
endif()

include_directories(include ${PCL_COMMON_INCLUDE_DIRS})

add_subdirectory(src/lib)

add_library(convert SHARED
  src/conversions/convert.cpp)
ament_target_dependencies(convert
  diagnostic_updater
  Eigen3
  rclcpp
  rclcpp_components
  tf2
  velodyne_msgs
)
target_link_libraries(convert
  velodyne_cloud_types
  velodyne_rawdata
  ${YAML_CPP_LIBRARIES})
install(TARGETS convert
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)
rclcpp_components_register_nodes(convert
  "velodyne_pointcloud::Convert")

add_executable(velodyne_convert_node
  src/conversions/convert_node.cpp)
ament_target_dependencies(velodyne_convert_node
  rclcpp
)
target_link_libraries(velodyne_convert_node convert)
install(TARGETS velodyne_convert_node
  DESTINATION lib/${PROJECT_NAME}
)

add_library(transform SHARED
  src/conversions/transform.cpp)
ament_target_dependencies(transform
  diagnostic_updater
  message_filters
  rclcpp
  rclcpp_components
  tf2
  tf2_ros
)
target_link_libraries(transform
  velodyne_cloud_types
  velodyne_rawdata
  ${YAML_CPP_LIBRARIES})
install(TARGETS transform
  ARCHIVE DESTINATION lib
  LIBRARY DESTINATION lib
  RUNTIME DESTINATION bin
)
rclcpp_components_register_nodes(transform
  "velodyne_pointcloud::Transform")

add_executable(velodyne_transform_node
  src/conversions/transform_node.cpp)
ament_target_dependencies(velodyne_transform_node
  rclcpp
)
target_link_libraries(velodyne_transform_node
  transform)
install(TARGETS velodyne_transform_node
  DESTINATION lib/${PROJECT_NAME})

install(DIRECTORY include/${PROJECT_NAME}/
  DESTINATION include/${PROJECT_NAME})
install(DIRECTORY config launch params
  DESTINATION share/${PROJECT_NAME})
# install(PROGRAMS scripts/gen_calibration.py
#         DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION})

if(BUILD_TESTING)
  # Remove empty.xml from lint
  list(APPEND AMENT_LINT_AUTO_EXCLUDE
    ament_cmake_xmllint
  )

  find_package(ament_lint_auto REQUIRED)
  ament_lint_auto_find_test_dependencies()

  file(GLOB_RECURSE XML_FILES
    "*.xml"
  )

  get_filename_component(
    EMPTY_XML_ABS
    "tests/empty.xml"
    ABSOLUTE
  )

  list(REMOVE_ITEM XML_FILES ${EMPTY_XML_ABS})

  find_package(ament_cmake_xmllint REQUIRED)

  ament_xmllint(${XML_FILES})

  add_subdirectory(tests)
endif()

ament_package()

=== debian/changelog ===
ros-foxy-velodyne-pointcloud (2.1.1-1focal) focal; urgency=high

  * Replace deprecated argument names in launch (#435 <https://github.com/ros-drivers/velodyne/issues/435>)
    Co-authored-by: Keane Quigley <mailto:keaneq@protonmail.com>
  * Contributors: Chris Lalancette

 -- Josh Whitley <jwhitley@autonomoustuff.com>  Mon, 07 Feb 2022 06:00:00 -0000

ros-foxy-velodyne-pointcloud (2.1.0-1focal) focal; urgency=high



 -- Josh Whitley <jwhitley@autonomoustuff.com>  Fri, 10 Jul 2020 05:00:00 -0000

ros-foxy-velodyne-pointcloud (2.0.0-1focal) focal; urgency=high

  * More fixing of dependencies. (#333 <https://github.com/ros-drivers/velodyne/issues/333>)
    * More fixing of dependencies.
  * Fixes pointed out by clang-tidy (#310 <https://github.com/ros-drivers/velodyne/issues/310>)
    * Rearrange header includes so clang-tidy is happy.
    * Get rid of unnecessary void arguments on methods.
    * Properly mark methods as override where appropriate.
    * Initialize members and stack variables to zero before use.
    * Mark function implementations in header files 'inline'.
    * Use more efficient 'empty' method instead of empty string.
    * Get rid of unnecessary else statements after a continue/return.
    * Get rid of unnecessary == false use.
    * Make sure to add a virtual destructor to DataContainerBase.
    * Use string != comparison instead of 'compare' method.
    * Rename PointcloudXYZIR parameter name to match implementation.
    * Get rid of usage of typedef.
    * Be more explicit about using floats.
    * Do an explicit lround to do int->float conversion.
    * Fix the intensity calculation.
    * Remove the azimuth from addPoint.
    * Make sure to reset the cloud data to 0 before reusing.
    * Use underscores on pointcloud member variables.
    * Using std::lround means we don't need to add 0.5 to the result.
    * Slightly rearrange and simplify range checks.
    * Add in example launch files for VLP32C.
  * A few more minor style updates. (#308 <https://github.com/ros-drivers/velodyne/issues/308>)
    - Get rid of the last users of new in the codebase
    - Get rid of the users of 'using' in the codebase
    - Rename 'calibrationFile' -> 'calibration_file'
  * Dashing fixes (#307 <https://github.com/ros-drivers/velodyne/issues/307>)
    * Use std::make_unique as appropriate.
    * Fix the azimuth calculation.
    * Fix a crash during driver startup.
    * Always recalculate the row_step while setting up the cloud.
    * Make sure to call computeTransformation.
    * Fix style errors pointed out by flake8.
  * ROS2: Add Linters to velodyne_pointcloud (#304 <https://github.com/ros-drivers/velodyne/issues/304>)
    * VP: Renaming files.
    * VP: Fixed copyrights.
    * VP: cpplint is satisfied!
    * VP: Converted gen_calibration.py to Python3.
    * Uncrustify fixed!
    * VP: Lint errors clear.
    * VP: Moving organized_cloud and pointcloud to lib and building as library.
  * Check for intra-process subscribers
  * Add in example launch files.
  * Disable copy, move, and assign operators.
  * Build the components so the velodyne can be run as a component.
  * Add in NodeOptions to node constructors.
  * Only find the "common" component to PCL.
  * Make sure to install the header files for laserscan and pointcloud.
  * Properly setup the row_step.
  * Add explicit, final, and override to classes where appropriate.
  * Remove organize_cloud, fixed_frame, and target_frame configs.
  * Stop storing view_{direction,width} in the Node classes.
  * Stop storing {min,max}_range in the Node classes.
  * Make DataContainerBase::configure const reference string parameters.
  * Switch argument order to always be (min,max)
  * Remove tmp_{min,max}_angle from stored RawData config.
  * Remove unused tf_ptr.
  * Switch container_ptr to a unique_ptr.
  * container_ptr -> container_ptr_
  * Don't store number of lasers in the Transfrom/Convert node.
  * Make the RawData class RAII-style.
  * Make RawData::setup not return the number of lasers.
  * Remove unused laser_corrections_maps.
  * Remove the calibration read method.
  * Make the Calibration class only have the RAII-style constructor.
  * Remove unnecessary ros_info parameter from Calibration.
  * Remove unused calibration write method.
  * Remove unused setupOffline method.
  * Remove calibrationFile from rawdata config.
  * Switch to using nullptr everywhere.
  * fixed timpepoint issue
  * Remove dead store from rawdata.cc
  * Rename nodes.
  * Switch organize_cloud to true by default.
  * Update the documentation for ROS 2.
  * Remove debugging statements.
  * Fix dead pointers in calibration.cc.
  * Merge pull request #251 <https://github.com/ros-drivers/velodyne/issues/251> from clalancette/dashing-devel3
    ROS 2 Dashing port
  * Merge pull request #214 <https://github.com/ros-drivers/velodyne/issues/214> from spuetz/feature/opc_nopcl
    Container cleanup and organized pointclouds
  * Merge pull request #236 <https://github.com/ros-drivers/velodyne/issues/236> from mpitropov/fix_transform_node_frame_bug
    set correct output frame
  * Merge pull request #234 <https://github.com/ros-drivers/velodyne/issues/234> from kmhallen/c++11
    Set minimum C++ standard to C++11
  * Merge pull request #231 <https://github.com/ros-drivers/velodyne/issues/231> from ros-drivers/ci/test_better_output
    CI: Adding roslint as separate step. Limiting output of catkin build.
  * Merge pull request #227 <https://github.com/ros-drivers/velodyne/issues/227> from ros-drivers/roslint
    Applying roslint to velodyne_pointcloud.
  * Merge pull request #223 <https://github.com/ros-drivers/velodyne/issues/223> from mpitropov/feat_Add_fixed_frame
    Add fixed frame and use ros message time within transform node
  * Merge pull request #224 <https://github.com/ros-drivers/velodyne/issues/224> from mpitropov/feat_add_diagnostics
    Added diagnostic publishing


=== debian/control ===
Source: ros-foxy-velodyne-pointcloud
Section: misc
Priority: optional
Maintainer: Josh Whitley <jwhitley@autonomoustuff.com>
Build-Depends: debhelper (>= 9.0.0), libpcl-dev, libyaml-cpp-dev, ros-foxy-ament-cmake, ros-foxy-ament-cmake-gtest, ros-foxy-ament-lint-auto, ros-foxy-ament-lint-common, ros-foxy-angles, ros-foxy-diagnostic-updater, ros-foxy-geometry-msgs, ros-foxy-message-filters, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-sensor-msgs, ros-foxy-tf2, ros-foxy-tf2-ros, ros-foxy-velodyne-msgs, ros-foxy-ros-workspace
Homepage: http://ros.org/wiki/velodyne_pointcloud
Standards-Version: 3.9.2

Package: ros-foxy-velodyne-pointcloud
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, libpcl-dev, libyaml-cpp-dev, ros-foxy-angles, ros-foxy-diagnostic-updater, ros-foxy-geometry-msgs, ros-foxy-message-filters, ros-foxy-rclcpp, ros-foxy-rclcpp-components, ros-foxy-sensor-msgs, ros-foxy-tf2, ros-foxy-tf2-ros, ros-foxy-velodyne-msgs, ros-foxy-ros-workspace
Description: Point cloud conversions for Velodyne 3D LIDARs.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/foxy/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/foxy" \
		-DAMENT_PREFIX_PATH="/opt/ros/foxy" \
		-DCMAKE_PREFIX_PATH="/opt/ros/foxy"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-foxy-velodyne-pointcloud//opt/ros/foxy/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree and source it.  It will set things like
	# CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/foxy/setup.sh" ]; then . "/opt/ros/foxy/setup.sh"; fi && \
	dh_auto_install
